
%if !0%{?bootstrap}
%global docs 1
%global tests 1
%endif

Name:    extra-cmake-modules
Summary: Additional modules for CMake build system
Version: 5.113.0
Release:    3%{?dist}

License: BSD
URL:     https://api.kde.org/ecm/

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{name}-%{version}.tar.xz
BuildArch:      noarch


Patch2: extra-cmake-modules-5.39.0-poppler_overlinking.patch
Patch3: extra-cmake-modules-5.89.0-qt_prefix.patch

BuildRequires: kf5-rpm-macros
BuildRequires: make
%if 0%{?docs}
BuildRequires: qt5-qttools-devel
BuildRequires: python3-sphinx
%global sphinx_build -DSphinx_BUILD_EXECUTABLE:PATH=%{_bindir}/sphinx-build-3
%endif

Requires: kf5-rpm-macros
Recommends: appstream
Requires: cmake(Qt5LinguistTools)

%description
Additional modules for CMake build system needed by KDE Frameworks.


%prep
%autosetup -p1 %{?clang:-a1}


%build

%if 0%{?clang}
PYTHONPATH=`pwd`/python
export PYTHONPATH
%endif

%cmake_kf5 \
  -DBUILD_HTML_DOCS:BOOL=%{?docs:ON}%{!?docs:OFF} \
  -DBUILD_MAN_DOCS:BOOL=%{?docs:ON}%{!?docs:OFF} \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF} \
  %{?sphinx_build}

%cmake_build


%install
%cmake_install

%if 0%{?clang}
mkdir -p %{buildroot}%{_datadir}/ECM/python/clang
install -m644 -p python/clang/* %{buildroot}%{_datadir}/ECM/python/clang/
%endif


%check
%if 0%{?tests}
%if 0%{?clang}
PYTHONPATH=`pwd`/python
export PYTHONPATH
%endif
export CTEST_OUTPUT_ON_FAILURE=1
make test ARGS="--output-on-failure --timeout 300" -C %{_target_platform} ||:
%endif


%files
%doc README.rst
%license LICENSES/*.txt
%{_datadir}/ECM/
%if 0%{?docs}
%{_kf5_docdir}/ECM/html/
%{_kf5_mandir}/man7/ecm*.7*
%endif


%changelog
* Wed Jun 04 2025 bbrucezhang <bbrucezhang@tencent.com> - 5.113.0-3
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.113.0-2
- Rebuilt for loongarch release

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.113.0-1
- initial build
